# Client Library
This typescript library provides client services for interacting with Boson Protocol (smart contracts & backend services).

## Prerequisite
```
npm install
```


## Build
To run the build:

```shell script
npm run build
```

## Testing
All tests are written using [Mocha](https://mochajs.org/) & [Chai](https://www.chaijs.com/).

### Prerequisite
Be sure you've defined an ./.env file with the variables 'INFURA_API_KEY' and 'INFURA_PROJECT_SECRET'.
See ./.env.example for more details.

### Run the tests
To run all tests:
```shell script
npm run test
```

To run only unit tests:
```shell script
npm run test:unit
```

To run only integration tests:
```shell script
npm run test:integration
```