import { SignedDataStruct, TypedDataDomain, TypedDataField } from "../web3/provider";
/**
 * This returns a SignedDataStruct.
 * @param AuthSignature
 * @param domain
 * @param nonce
 * @private
 * @returns The structured data
 */
export declare function getSignedDataStruct(AuthSignature: any, domain: any, nonce: number): SignedDataStruct;
/**
 * Composes the domain definition object.
 * @private
 * @returns Domain definition object
 */
export declare function getEIP712Domain(): Array<TypedDataField>;
/**
 * Compose the domain object.
 * @param chainId
 * @private
 * @returns Domain object
 */
export declare function getDomain(chainId: number): TypedDataDomain;
//# sourceMappingURL=message.d.ts.map