import { Web3Provider } from "../web3/web3.provider";

const ARGENT_PEER_NAME = "Argent";

export function isSmartWallet(web3Provider: Web3Provider): boolean {
    return (
      web3Provider.provider.connector &&
      web3Provider.provider.connector?.peerMeta?.name.includes(ARGENT_PEER_NAME)
    ) ?? false;
};